# cc_credentials_t Overview

## Detailed Description

The cc_credentials_t type is used to store a single set of credentials for either Kerberos v4 or Kerberos v5. In addition to its only function, release(), it contains a pointer to a cc_credentials_union structure. A cc_credentials_union structure contains an integer of the enumerator type cc_credentials_version, which is either cc_credentials_v4 or cc_credentials_v5, and a pointer union, which contains either a cc_credentials_v4_t pointer or a cc_credentials_v5_t pointer, depending on the value in version.

Variables of the type cc_credentials_t are allocated by the CCAPI implementation, and should be released with their release() function. API functions which receive credentials structures from the caller always accept cc_credentials_union, which is allocated by the caller, and accordingly disposed by the caller.

For API functions see cc_credentials_f.

## Data Structures

- struct cc_credentials_v4_t
- struct cc_data
- struct cc_credentials_v5_t
- struct cc_credentials_union
- struct cc_credentials_d

## Typedefs

- typedef cc_credentials_v4_t cc_credentials_v4_t
- typedef cc_data cc_data
- typedef cc_credentials_v5_t cc_credentials_v5_t
- typedef cc_credentials_union cc_credentials_union
- typedef cc_credentials_f cc_credentials_f
- typedef cc_credentials_d cc_credentials_d
- typedef cc_credentials_d * cc_credentials_t

## Typedef Documentation

typedef struct cc_credentials_v4_t cc_credentials_v4_t

typedef struct cc_data cc_data

typedef struct cc_credentials_v5_t cc_credentials_v5_t

typedef struct cc_credentials_union cc_credentials_union

typedef struct cc_credentials_f cc_credentials_f

typedef struct cc_credentials_d cc_credentials_d

typedef cc_credentials_d* cc_credentials_t